PostgreSQL 7.4.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pgtclsh

## Name

pgtclsh -- PostgreSQL Tcl shell client

## Synopsis

`pgtclsh` [filename [argument...]]

## Description

`pgtclsh` is a Tcl shell interface extended with PostgreSQL database access functions. (Essentially, it is `tclsh` with `libpgtcl` loaded.) Like with the regular Tcl shell, the first command line argument is a script file, any remaining arguments are passed to the script. If no script file is named, the shell is interactive.

A Tcl shell with Tk and PostgreSQL functions is available as pgtksh.

## See Also

pgtksh, Chapter 29 (description of `libpgtcl`), tclsh

Prev | Home | Next
pg_restore | Up | pgtksh